AutoCAD .NET :: Geometry Line2D IntersectWith
Mar 9, 2010
C#, AutoCAD 2010.
I normally use a database transaction to create temporary drawing Lines when I need to do any intersections. But I decided to try virtual Geometry Line2d instead. Intersecting Line2d with other Line2d objects. But I do not understand the Tolerance input. I definitely need it - without it all the line2ds are intersecting even when they actually don't.
View 4 Replies
ADVERTISEMENT
Dec 19, 2013
I'm currently using Autocad 2013, and I need to use the function intersectWith with 2 surfaces. The message i get is "Not yet implemented".
If this function is working in Autocad 2014?
View 5 Replies
View Related
Apr 17, 2012
I am not having any luck getting intersectwith working in paperspace? I'm not trying to intersect with objects in model space, just all objects in paperspace.
View 2 Replies
View Related
Mar 8, 2011
Does IntersectWith work with 2011? If not what is the fix? Apparently I cannot find the apparent intersection point of two lines.
If I try to use IntersectWith, I get an error that it is obsolete.
View 3 Replies
View Related
Feb 27, 2013
I need getting the crossing point for a survey figure relative to an alignment. I'm trying to use the IntersectWith on my active alignment. I'm able to see my figure in debug mode so, I think I've got access to each survey figure. I think I need to cast the figure as a com object to a acad entity using directcast, but that's where it's going bad. When using the ofigure.GetObjectId it returns an integer value and it fails in VS Express 2010 in the DirectCast when trying to pass the objectId.
The error (if I'm setting this up correctly) :integer cannot be converted to objectid
'Get figure crossing point Dim ofigures As AeccSurveyFigures = oSurveyProject.Figures 'Dim figEnt As Autodesk.AutoCAD.DatabaseServices.Entity Dim intPoint As New Point3dCollection() For i = 1 To ofigures.Count - 1 Dim ofigure As AeccSurveyFigure = ofigures.Item(i) Dim figObjectId = ofigure.GetObjectId Dim figEntity As Autodesk.AECC.Interop.Survey.AeccSurveyFigure = DirectCast(m_trans.GetObject(figObjectId, OpenMode.ForRead), Autodesk.AutoCAD.DatabaseServices.Entity) m_alignment.IntersectWith(figEntity, Intersect.OnBothOperands, intPoint, IntPtr.Zero, IntPtr.Zero) Next
View 1 Replies
View Related
Oct 12, 2013
Is it possible to get a selection set for the currently selected geometry? If I use the EditorInput selection functions, the user is asked to select an item, however I want the item(s) that has already been selected prior to running the plugin.
View 3 Replies
View Related
Oct 4, 2011
I have a complex 2D geometry (.dwg layout) I want to wrap onto a 3D tube. Is there and easy way to do this in AutoCAD Mechanical or Inventor (preferably AC Mech)? My machine takes a 2D flat pattern to create the part but i need to model the geometry in 3D for other purposes. I have been using Solidworks the "wrap" feature, but its inconvenient to jump between software platforms.
View 2 Replies
View Related
Sep 13, 2011
Have a drawing with multiple xref's , Blocks within it. Drawing geometry is a combination of 2D and 3D. Would like to project this onto a 2D plane - "FlatShot?" and then save it as another drawing.
Main reason for this is for a KeyPlan - routing diagram for a plant.
Software been used AutoCAD 2010 & 11
View 2 Replies
View Related
Jul 11, 2011
Is there a way to roll geometry? Much like in a real life scenario where I have a sheet plate part that needs to be run through a roller?
View 9 Replies
View Related
Nov 11, 2011
I have a survey plan with a ton of blocks in it.
The blocks have the elevations in the attributes, but i want the elevation in geometry position z.
View 3 Replies
View Related
Oct 28, 2013
I just want to know that how can I know the Object ID from the AutoCAD for any geomatry.
I knew already from the coding but I want to know manually for AutoCAD.
View 1 Replies
View Related
Feb 27, 2013
When I use the 'Copy with Basepoint' command from the clipboard and paste the results into another drawing, all of the grouped items become ungrouped.
Is there a way of preserving grouped geometry when copying from one drawing and pasting to another?
View 5 Replies
View Related
Feb 7, 2013
my 3D geometry going missing after I have saved the drawing. Running AutoCAD 2013, Saving file Format 2010. I draw a room. I have walls, chairs, desks, a floor, etc. I save the drawing. When going to re-open the file I can see all of my geometry in the file preview, but when opening the DWG the floor is missing. All Layers are on and thawed. When running a purge command it indicates that something is on the layer, but I can't see it or select it. Changing visual styles also has no effect. I have used CAD in 3D since CAD 200.
View 9 Replies
View Related
Dec 16, 2013
I have a 3D geometry that i wanted to export as a .STL file. But every time i selected the geometry to export, i keep getting the option "Select solids or watertight meshes: Specify opposite corner:." Although the command line does show that the objects have been selected. I've tried different ways of selecting the geometry but every time it shows the same thing.
P.S - i was able to export it in other (.IGES, .IGS formats) but it doesn't seem to be working the same way with .STL
View 7 Replies
View Related
Jan 16, 2006
How in import 2D geometry into Inventor so I do not have to redraw the profile, only extrude the existing geometry. I tried to export from Autocad a IGES file, and then create a sketch plane in Inventor and project the geometry onto the sketch plane, but I ended up with a bunch of open loops. Perhaps, I have figured it out and real question is how to I close open loops?
View 6 Replies
View Related
Apr 26, 2011
once I've set an origin, how do you get the geometry info in the properties to show the coordinates from that origin? what I want to do is set an origin and then find relative points from that origin. What are the ways to do this? On ProgeCad I would just set an origin and then if I viewed the properties of say a circle, it would tell me the x,y,z coordinates from that origin but I can't seem to do it in AutoCad.
As you can see from the picture, what I did was set an origin at the on point. Then I selected the arc for which I want to know the coordinates. But as you can see in the properties it says the x,y are like 566,567mm, but clearly if I draw lines to that point and measure the lines it is only like 1.00,0.70mm.
View 9 Replies
View Related
Jan 19, 2002
I've never seen this one before, I'm drawing a circle around each block reference insert choosen with a selection set to highlight it. On any block references that is mirrored, I get an error "degenerate geometry"
View 1 Replies
View Related
Nov 5, 2013
I would like to be able to show an animation of a flat plate of material converging into a half hollow sphere (like a bowl). Its easy to model the beginning and end stae, but I do not know how to show it transitioning from one to the other.
How to do this? I need it for a presentation to convey a design concept.
View 4 Replies
View Related
Jul 7, 2013
I'm fairly new to the world of CAD, and I was just working on a phone case for my friend when I tried to extrude geometry text, but couldn't because the OK and Apply options were greyed out. I tried embossing and making a hole, but they were greyed out for them too. I tried messing with the settings to see if I could fix it, but I still couldn't. I'm really confused right now, I remember doing something similar for a case I made for myself.?
View 3 Replies
View Related
Jan 28, 2013
I have generated a model but want to get rid of unwanted geometry to clean it up, how do I delete unwanted geometry?
View 4 Replies
View Related
Oct 8, 2012
Just recently we upgraded from ACAD 2010 to 2011. Some users are still on XP and some are on Windows 7. Since we began making the jump to ACAD 2011, we have begun to notice more and more drawings popping up with blocks no longer visible that were there the day before. When you go to the block editor, the block definition is still there but all of the geometry has been blown away. The only entity that seems to be immune is an attribute. The only commonality among the various drawings this is happening too is that they are all being accessed from an XP machine. Some folks have had to spend hours restoring all the blocks that were lost and that in itself was a challenge because ACAD already saw the definition so it would continue to blow away the geometry. You could purge the block IF you could find a way to pick it and delete it.
View 5 Replies
View Related
Dec 17, 2011
Currently I save all my 2D DWGs as IGES files and then import the files into Inventor. That converts all the geometry to Construction Wires in an IPT, which means MUCH improved performance (you don't have to wait for Inventor to convert every single entity in the DWG to a Sketch entity). I then start a new Sketch and Project those lines that I need from the Construction Wires.
Is there a way to do this directly (convert to Construction Wires) with a DWG, without having to save as an IGES file first?
View 2 Replies
View Related
Oct 10, 2012
I am currently creating a 3D model of a building of a complicated geometry. I managed to do this in AutoCAD 2013 but when I exported the iges file and imported it to AutoCAD Inventor Fusion, I get a lot of skewness. This is particularly so for the cylinders I extruded in AutoCAD 2013.I have been looking at this problem for almost a week already. I have attached the photo of the skewness shown in AutoCAD Inventor Fusion.
View 1 Replies
View Related
Nov 12, 2013
I have a sketch on plane XY and I have another plane at an angle, which I would like to work on. How can I create a sketch on the angled plane, using the geometry from the XY sketch and which I can snap to?
View 5 Replies
View Related
Nov 1, 2012
How should I model a random 3D-geometry using AUTOCAD?
I have NEZ data from total station survey of an uneven region. Importing them to AUTOCAD gives me points.
What element should I use to model the 3D geometry enabling me to perform further calculations like volume etc. ?
View 1 Replies
View Related
Aug 6, 2011
In triangle ABC, AD is drawn as angle bisector and BE is drawn perpendicular to AD. I want to draw these two lines and triangle ABC by means of constrains, so that when I move point A (make it bigger or smaller), I can get those two lines move automatically. What kind of constrains should I use? For triangle itself, I use "coincident" constrain. I think this part is correct. Whenever I move a vertex after selecting a line and using red grips, it responds and triangle reshapes. Do we have angle bisector constrain? I draw angle dimension line for two equal angle and tried to impose equal constrain for these two angle but couldn't succeed.
View 6 Replies
View Related
Nov 7, 2013
If its possible to have a viewport stay locked on a geometry in model space?
For example- we layout our page geometries in model space and outline them in a VP in paperspace. however say we move the entire drawing in model space- we have to go back and redo every viewport on every page. is there a way to prevent this or stop this from happening?
View 9 Replies
View Related
Jan 9, 2014
I have several files that have lost their geometric data that is usually there when they are primitives. This also removes the grips that allow me to resize the objects on the fly. Is there any possible way "apply" new data to these objects without recreating them? Is there a command, an express tool or a lisp routine that can accomplish this?
View 2 Replies
View Related
Apr 4, 2013
I have been using Autocad on and off for a while, I am currently using 2005, but have only really worked in 2d.
I have designed a chassis for my hot rod and I have a side elevation and a top elevation which I have extruded and subtracted to produce a 3d model of the chassis rail.
My problem is how do I pull the true 2d geometry off of the 3d model or extrapolate ( I think thats the right word ) from the top and side elevations to produce a cutting path for the laser cutters.
chass1.dwg
View 1 Replies
View Related
Jul 10, 2013
Is it possible to get localized names for AutoCAD .NET geometry types?
For example, I want to get "Полилиния" (in Russian) for Autodesk.AutoCAD.DatabaseServices.Polyline class.
If there is no solution, where can I get a list of all geometry types to translate them into another language programmatically?
View 2 Replies
View Related
May 21, 2013
I want to slice a geometry partially. But not want to divide the geometry into two parts.
I attached a photo of a part. How can i draw this geometry by using Inventor?
View 7 Replies
View Related